package org.springblade;

import io.micrometer.core.instrument.MeterRegistry;
import org.springblade.core.boot.core.PlatomixApplication;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.actuate.autoconfigure.metrics.MeterRegistryCustomizer;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Bean;
import reactor.netty.ReactorNetty;

/**
 *
 */
@EnableDiscoveryClient
@SpringBootApplication
public class Application {

    public static void main(String[] args) {
        System.setProperty(ReactorNetty.IO_SELECT_COUNT, "1");
        PlatomixApplication.run(Application.class, args);
    }

    /**
     * 向Prometheus注册服务名称
     * @param applicationName
     * @return
     */
    @Bean
    MeterRegistryCustomizer<MeterRegistry> configurer(
            @Value("${spring.application.name}") String applicationName) {
        return (registry) -> registry.config().commonTags("application", applicationName);
    }
}